Bug 467329 - (mingw32-termcap) Review Request: mingw32-termcap - MinGW terminal feature database
Review Request: mingw32-termcap - MinGW terminal feature database
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On: 454410
Blocks: mingw32-gettext mingw32-readline
  Show dependency treegraph
 
Reported: 2008-10-16 16:52 EDT by Richard W.M. Jones
Modified: 2008-12-21 06:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 06:32:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-16 16:52:17 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=5a13b9537a4127d600157e3cb12504542bd13651;path=/termcap/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-termcap-1.3.1-1.fc9.src.rpm
Description:
This is the GNU termcap library -- a library of C functions that
enable programs to send control strings to terminals in a way
independent of the terminal type.  The GNU termcap library does not
place an arbitrary limit on the size of termcap entries, unlike most
other termcap libraries.

This package contains libraries and development tools for the MinGW
cross-compiled version.
Comment 1 Richard W.M. Jones 2008-10-16 16:54:35 EDT
Note that there is no native version of this package
(it was dropped in Fedora 9 era).  However we need it
because there is no termcap in the Win32 API.

Also note the license really is GPL.
Comment 3 Bruno Haible 2008-11-02 06:05:38 EST
All free Unices abandoned termcap in favour of ncurses between 1992 and 1995.
Reason: tgetent() is inherently unsafe to use, it is designed to produce
buffer overflows, because the caller of this function and the implementation
of this function simply don't communicate about the size of the buffer.

It'd best to ditch this package, and use ncurses instead.
Comment 4 Richard W.M. Jones 2008-11-02 06:54:15 EST
Ncurses doesn't compile on Windows, although if you
do manage to patch it and get a working ncurses, please
post it because that would be a very important advance
for us.
Comment 6 Peter Robinson 2008-12-19 04:52:13 EST
The same issue with the license

+ rpmlint output

rpmlint -i mingw32-termcap-1.3.1-4.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

- %doc includes license file
  license file not included in rpm
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  ffe6f86e63a3a29fa53ac645faaabdfa  termcap-1.3.1.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 7 Richard W.M. Jones 2008-12-19 05:27:08 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/termcap/mingw32-termcap.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-10/src/SRPMS/mingw32-termcap-1.3.1-5.fc10.src.rpm

* Fri Dec 19 2008 Richard W.M. Jones <rjones@redhat.com> - 1.3.1-5
- Added license file to doc section.
Comment 8 Peter Robinson 2008-12-19 05:38:18 EST
APPROVED!
Comment 9 Richard W.M. Jones 2008-12-19 05:48:04 EST
New Package CVS Request
=======================
Package Name: mingw32-termcap
Short Description: MinGW terminal feature database
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 10 Kevin Fenzi 2008-12-20 23:26:07 EST
cvs done.
Comment 11 Richard W.M. Jones 2008-12-21 06:32:07 EST
Thanks Peter and Kevin.

Imported and built.

Note You need to log in before you can comment on or make changes to this bug.